unit NDSPFont;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, NDUtil;

type
  TFontSettingsForm = class(TForm)
    ColorDialog1: TColorDialog;
    SettingsGB: TGroupBox;
    BoldCB: TCheckBox;
    ItalicCB: TCheckBox;
    UnderlineCB: TCheckBox;
    FontColorPanel: TPanel;
    Button1: TButton;
    Button2: TButton;
    procedure FontColorPanelClick(Sender: TObject);
    procedure StyleCBClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    SyntaxType: TSyntaxType;
  end;

var
  FontSettingsForm: TFontSettingsForm;

implementation

{$R *.DFM}

procedure TFontSettingsForm.FontColorPanelClick(Sender: TObject);
begin
  If ColorDialog1.Execute then begin
    FontColorPanel.Font.Color := ColorDialog1.Color;
  end; { if }
end;

procedure TFontSettingsForm.StyleCBClick(Sender: TObject);

var
  FontStyle: TFontStyles;

begin
  FontStyle := [];
  If BoldCB.Checked then begin
    Include(FontStyle,fsBold);
  end; { if }
  If ItalicCB.Checked then begin
    Include(FontStyle,fsItalic);
  end; { if }
  If UnderlineCB.Checked then begin
    Include(FontStyle,fsUnderline);
  end; { if }
  FontColorPanel.Font.Style := FontStyle;
end;

procedure TFontSettingsForm.FormShow(Sender: TObject);
begin
  With SyntaxFonts[SyntaxType] do begin
    BoldCB.Checked := Bold;
    ItalicCB.Checked := Italic;
    UnderlineCB.Checked := Underline;
    FontColorPanel.Font.Color := Color;
    SettingsGB.Caption := 'Settings for ' + Name;
  end; { with }
end;

procedure TFontSettingsForm.Button1Click(Sender: TObject);
begin
  With SyntaxFonts[SyntaxType] do begin
    Bold := BoldCB.Checked;
    Italic := ItalicCB.Checked;
    Underline := UnderlineCB.Checked;
    Color := FontColorPanel.Font.Color;
  end; { with }
end;

end.
