program NDStrip;
{$APPTYPE CONSOLE}
uses
  SysUtils,
  NDUtil in 'NDUtil.pas';

var
  ShowFile: boolean;
  SearchRec: TSearchRec;
  ErrCode: integer;
  FromPath: string;

begin
  If ParamCount < 1 then begin
    Writeln;
    Writeln('NDStrip 1.0 - Strips TODO and DONE comments out of source code files.');
    Writeln;
    Writeln('Syntax : NDStrip FileSpec [/show]');
    Writeln;
    Writeln('Options: /show - The converted file will be sent to the screen as well');
    Writeln('                 as the output file.');
    Writeln;
    Writeln('Example: "NDStrip *.pas" would strip TODO comments out of all .PAS files');
    Writeln('         and write the results to .OUT files of the same name.');
    Writeln;
    Writeln('   This application is part of the ND Source project and is freeware.');
    Writeln('  For updated versions or more information see http://www.nevrona.com.');
    Writeln('       Copyright (c) 1999 Nevrona Designs - All rights reserved');
    Exit;
  end; { if }

  ShowFile := (ParamCount > 1) and (UpperCase(ParamStr(2)) = '/SHOW');
{ Remove comments from all matching files }
  FromPath := ExtractFilePath(ParamStr(1));
  ErrCode := FindFirst(ParamStr(1),faArchive,SearchRec);
  While ErrCode = 0 do begin
    Writeln('Stripping ',SearchRec.Name);
    StripToDo(FromPath + SearchRec.Name,ShowFile);
    ErrCode := FindNext(SearchRec);
  end; { while }
  FindClose(SearchRec);

end.